/*-----------------------------------------------------------------------------
         Program to demonstrate Eeprom char Read Write on Lcd 
  -----------------------------------------------------------------------------
  note:
  Refer lcd.c(lcd_4_bit.c/lcd_8_bit.c) file for Pin connections
  Refer i2c.c for SDA and SCL connection.
------------------------------------------------------------------------------*/


/* Reg51.h contains the defnition of all ports and SFRs */
#include <reg51.h> 
#include <delay.h>

#include "lcd.h"	//User defined LCD library which conatins the lcd routines
#include "eeprom.h" //User defined library which conatins eeprom(At2404) routines

unsigned char cnt;
/* start the main program */
void main() 
{
   unsigned char eeprom_address=0x00, write_String[] = {"hello world"}, read_string[15];

  /* Initilize the lcd before displaying any thing on the lcd */
    LCD_Init();												  
 
   
   
	   	LCD_GoToLineOne();				  // Move the cursor to first line
        //LCD_DisplayString("Wr:");         //Display the message on first line
		LCD_DisplayString("EEPROM AT24C16");  //Dispaly the String to be written 
		EEPROM_WriteString(eeprom_address,"P0:hello",0);
		EEPROM_WriteString(eeprom_address,"P1:hi",1); // Write the String at memory Location	0x00
		EEPROM_WriteString(eeprom_address,"P2:good",2);
		EEPROM_WriteString(eeprom_address,"P3:morning",3);
		EEPROM_WriteString(eeprom_address,"P4:how",4);
		EEPROM_WriteString(eeprom_address,"P5:is",5);
		EEPROM_WriteString(eeprom_address,"P6:your",6);
		EEPROM_WriteString(eeprom_address,"P7:day?",7);

		for(cnt =0; cnt<8; cnt++)
		{
		LCD_GoToLineTwo();				   // Move the cursor to Second line
		LCD_DisplayString("               ");
		LCD_GoToLineTwo();
		LCD_DisplayString("Rd:");          //Display the message on Second line
		EEPROM_ReadString(eeprom_address,read_string,cnt);	// Read the String from memory Location 0x00
		LCD_DisplayString(read_string);//Display the read String
		delay_sec(2);
		}

	   while(1);		

  }